Opened 8 weeks ago

Closed 8 weeks ago

#13779 closed patch (fixed)

Wetlands Version 1.1 not supported

Reported by: Sundowner2000 Owned by: neuromancer
Priority: normal Component: Engine: Hypno
Version: Keywords: Wetlands 1.1 not supported
Cc: Game: Wetlands

Description

ScummVM detects the Wetlands original CD-ROM full version without patch 1.1.
Once the 1.1 patch (contains only new exe and readme) is applied ScummVM reports an unknown version and the game doesn't start.

The game in 'Wetlands\' seems to be an unknown game variant.

Please report the following data to the ScummVM team at https://bugs.scummvm.org/ along with the name of the game you tried to add and its version, language, etc.:

Matched game IDs for the hypno engine: wetlands-demo-us

{"missions.lib", 0, "aeaaa8b26ab17e37f060334a311a3ff6", 309793},
{"wetlands.exe", 0, "15a6b1b3819ef002438df340509b5373", 647411},

ScummVM version: ScummVM 2.7.0git2136-gcfd2d7cea38 (Aug 10 2022 16:23:00)
Game: Wetlands CD-ROM full version with applied patch 1.1
OS: Windows 7 SP1 x64

The patch can be downloaded from "The Patches Scrolls:"
https://www.patches-scrolls.de/patch/4781/7/55575/download

Attachments (1)

wetup11.zip (304.8 KB ) - added by Sundowner2000 8 weeks ago.

Download all attachments as: .zip

Change History (2)

by Sundowner2000, 8 weeks ago

Attachment: wetup11.zip added

comment:1 by neuromancer, 8 weeks ago

Resolution: fixed
Status: newclosed

Thanks for the report! Patching to the version 1.1 is not necessary in fact. You can play the game with the original release and scummvm will work as expected. The patch only modified some timer to allow the player more time to complete a level. This was necessary because some PCs were not powerful enough and the timer depends on the CPU cycles, making the level more difficult (or impossible) to complete.

Anyway, I added the hash for Wetlands 1.1 in https://github.com/scummvm/scummvm/commit/3e1217159ff991623585be4eba2cb3a822e79f0f but if you want to play the game with the scummvm release you have, just use the unpatched version.

Thanks!

Note: See TracTickets for help on using tickets.